syntax = "proto3";
option go_package = ".;pb";

message DBOldtimes{
 string uid = 1;//@go_tags(`bson:"uid"`) 玩家ID
 repeated Chapter chapters = 2; //@go_tags(`bson:"chapters"`)  章节
}

message Chapter{
    int32 cid=1; //@go_tags(`bson:"cid"`) 章节ID
    int32 status = 2; //@go_tags(`bson:"status"`) 状态 0锁定 1已解锁 2进行中 3已完成
    int32 received = 3; //@go_tags(`bson:"received"`) 奖励领取状态0未领取 1已领取
    repeated Level levels = 4; //@go_tags(`bson:"levels"`) 关卡
}

message Level{
    int32 lid = 1; //@go_tags(`bson:"lid"`) 关卡ID
    int32 status = 2; //@go_tags(`bson:"status"`) 状态 0锁定 1已解锁 2进行中 3已完成
}